Create and manage instances of Telemetry Router
Last updated on
Prerequisites
Section titled “Prerequisites”- You have a STACKIT customer account: Create a customer account
- You have a STACKIT user account: Create a user account
- You have a STACKIT project: Create a project
The Telemetry Router is a self-manageable component through which telemetry data can be introduced. In order to ingest data at the Telemetry Router endpoint, an individually creatable access token is required. Creating a Telemetry Router enables the setup of destinations, filtering, and emission of the captured data.
Create an instance
Section titled “Create an instance”To create a Telemetry Router instance, you need to call the appropriate endpoint.
Choose the properties for your new instance
Section titled “Choose the properties for your new instance”| Parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImE1NTZmYWI0MWY2YzQ1MGY3ZDU5YzRmNGVkNWI0NmMxIn0.eyJub3RpY2UiOiJDb25ncmF0dWxhdGlvbnMhIFlvdSBoYXZlIGRlY29kZWQgYSBiZWFyZXIgdG9rZW4gbWVhbnQgZm9yIGRlbW9uc3RyYXRpb24gcHVycG9zZXMuIFdlIGF0IFNUQUNLSVQgZW1waGFzaXplIHNlY3VyaXR5IGFuZCBkYXRhIGludGVncml0eS4gUGxlYXNlIHVzZSB5b3VyIG93biBhY2Nlc3MgdG9rZW4gZm9yIHlvdXIgcmVzb3VyY2VzLiJ9.LPOHfT45JNOpTSh_q6x4pDRVK052QwUwSFU9tLPB6gGrYjf4dTKjWJ-2aRdd2LlWsxO5y0it89VsZpbzVRvI5Q |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| displayName | A name for the Telemetry Router instance | my-telemetry-router |
| description | An optional description for your reference | My Telemetry Router instance |
curl -X POST \'https://telemetry-router.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-routers' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \--data-raw '{ "displayName": [displayName], "description": [description]}'Example
Section titled “Example”curl -X POST \'https://telemetry-router.api.stackit.cloud/v1beta/projects/16dbfb51-7a75-42d3-a51d-99f87f48cd32/regions/eu01/telemetry-routers' \--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImE1NTZmYWI0MWY2YzQ1MGY3ZDU5YzRmNGVkNWI0NmMxIn0.eyJub3RpY2UiOiJDb25ncmF0dWxhdGlvbnMhIFlvdSBoYXZlIGRlY29kZWQgYSBiZWFyZXIgdG9rZW4gbWVhbnQgZm9yIGRlbW9uc3RyYXRpb24gcHVycG9zZXMuIFdlIGF0IFNUQUNLSVQgZW1waGFzaXplIHNlY3VyaXR5IGFuZCBkYXRhIGludGVncml0eS4gUGxlYXNlIHVzZSB5b3VyIG93biBhY2Nlc3MgdG9rZW4gZm9yIHlvdXIgcmVzb3VyY2VzLiJ9.LPOHfT45JNOpTSh_q6x4pDRVK052QwUwSFU9tLPB6gGrYjf4dTKjWJ-2aRdd2LlWsxO5y0it89VsZpbzVRvI5Q' \--header 'Content-Type: application/json' \--data-raw '{ "displayName": "my-telemetry-router", "description": "My Telemetry Router instance"}'Follow the steps in the Portal to create a Telemetry Router instance.
-
On the sidebar, click on Telemetry Router.
-
On the bar on the top, click on Create Telemetry Router.
-
On the pane fill in a Router name.
-
After you configured everything to your needs, create your instance.
The system will add your newly created instance to the list of your Telemetry Router instances. After a few seconds, your instance state changes from Reconciling to Active. Congratulations, your Telemetry Router instance is up and running!
List all instances
Section titled “List all instances”| Parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImE1NTZmYWI0MWY2YzQ1MGY3ZDU5YzRmNGVkNWI0NmMxIn0.eyJub3RpY2UiOiJDb25ncmF0dWxhdGlvbnMhIFlvdSBoYXZlIGRlY29kZWQgYSBiZWFyZXIgdG9rZW4gbWVhbnQgZm9yIGRlbW9uc3RyYXRpb24gcHVycG9zZXMuIFdlIGF0IFNUQUNLSVQgZW1waGFzaXplIHNlY3VyaXR5IGFuZCBkYXRhIGludGVncml0eS4gUGxlYXNlIHVzZSB5b3VyIG93biBhY2Nlc3MgdG9rZW4gZm9yIHlvdXIgcmVzb3VyY2VzLiJ9.LPOHfT45JNOpTSh_q6x4pDRVK052QwUwSFU9tLPB6gGrYjf4dTKjWJ-2aRdd2LlWsxO5y0it89VsZpbzVRvI5Q |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
curl -X GET \'https://telemetry-router.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-routers' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json'Example
Section titled “Example”curl -X GET \'https://telemetry-router.api.stackit.cloud/v1beta/projects/16dbfb51-7a75-42d3-a51d-99f87f48cd32/regions/eu01/telemetry-routers' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json'Follow the steps in the Portal to create a Telemetry Router instance.
-
On the sidebar, click on Telemetry Router.
You see a list of all Telemetry Router instances.
View an instance
Section titled “View an instance”| Parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImE1NTZmYWI0MWY2YzQ1MGY3ZDU5YzRmNGVkNWI0NmMxIn0.eyJub3RpY2UiOiJDb25ncmF0dWxhdGlvbnMhIFlvdSBoYXZlIGRlY29kZWQgYSBiZWFyZXIgdG9rZW4gbWVhbnQgZm9yIGRlbW9uc3RyYXRpb24gcHVycG9zZXMuIFdlIGF0IFNUQUNLSVQgZW1waGFzaXplIHNlY3VyaXR5IGFuZCBkYXRhIGludGVncml0eS4gUGxlYXNlIHVzZSB5b3VyIG93biBhY2Nlc3MgdG9rZW4gZm9yIHlvdXIgcmVzb3VyY2VzLiJ9.LPOHfT45JNOpTSh_q6x4pDRVK052QwUwSFU9tLPB6gGrYjf4dTKjWJ-2aRdd2LlWsxO5y0it89VsZpbzVRvI5Q |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| telemetryRouterId | The ID of your Telemetry Router instance | d5b5cdcc-c155-4d66-82ef-4289db8e4557 |
curl -X GET \'https://telemetry-router.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-routers/[telemetryRouterId]' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json'Example
Section titled “Example”curl -X GET \'https://telemetry-router.api.stackit.cloud/v1beta/projects/16dbfb51-7a75-42d3-a51d-99f87f48cd32/regions/eu01/telemetry-routers/d5b5cdcc-c155-4d66-82ef-4289db8e4557' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json'Follow the steps in the Portal to create a Telemetry Router instance.
-
On the sidebar, click on Telemetry Router.
You see a list of all Telemetry Router instances.
-
Navigate to the instance you want to view and click on the entry.
You get into the detail view of your instance, where you have an overview over all properties.
Edit an instance
Section titled “Edit an instance”| Parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImE1NTZmYWI0MWY2YzQ1MGY3ZDU5YzRmNGVkNWI0NmMxIn0.eyJub3RpY2UiOiJDb25ncmF0dWxhdGlvbnMhIFlvdSBoYXZlIGRlY29kZWQgYSBiZWFyZXIgdG9rZW4gbWVhbnQgZm9yIGRlbW9uc3RyYXRpb24gcHVycG9zZXMuIFdlIGF0IFNUQUNLSVQgZW1waGFzaXplIHNlY3VyaXR5IGFuZCBkYXRhIGludGVncml0eS4gUGxlYXNlIHVzZSB5b3VyIG93biBhY2Nlc3MgdG9rZW4gZm9yIHlvdXIgcmVzb3VyY2VzLiJ9.LPOHfT45JNOpTSh_q6x4pDRVK052QwUwSFU9tLPB6gGrYjf4dTKjWJ-2aRdd2LlWsxO5y0it89VsZpbzVRvI5Q |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| telemetryRouterId | The ID of your Telemetry Router instance | d5b5cdcc-c155-4d66-82ef-4289db8e4557 |
| displayName | A name for the Telemetry Router instance. In this endpoint, the parameter is optional. | my-telemetry-router |
| description | An optional description for your reference | My Telemetry Router instance |
| filter | An optional filter object. Read Filter to learn how filters work. | See Filter example |
curl -X PUT \'https://telemetry-router.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-routers/[telemetryRouterId]' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json'--data-raw '{ "displayName": [name], "description": [description], "filter": [filter]}'Filter example
Section titled “Filter example”attributes: [ { key: 'my-special-filter', level: 'scope', matcher: '=',, value: 'user', },]Example of adding a filter to an existing Telemetry Router instance
Section titled “Example of adding a filter to an existing Telemetry Router instance”curl -X PUT \'https://telemetry-router.api.stackit.cloud/v1beta/projects/16dbfb51-7a75-42d3-a51d-99f87f48cd32/regions/eu01/telemetry-routers/d5b5cdcc-c155-4d66-82ef-4289db8e4557' \--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImE1NTZmYWI0MWY2YzQ1MGY3ZDU5YzRmNGVkNWI0NmMxIn0.eyJub3RpY2UiOiJDb25ncmF0dWxhdGlvbnMhIFlvdSBoYXZlIGRlY29kZWQgYSBiZWFyZXIgdG9rZW4gbWVhbnQgZm9yIGRlbW9uc3RyYXRpb24gcHVycG9zZXMuIFdlIGF0IFNUQUNLSVQgZW1waGFzaXplIHNlY3VyaXR5IGFuZCBkYXRhIGludGVncml0eS4gUGxlYXNlIHVzZSB5b3VyIG93biBhY2Nlc3MgdG9rZW4gZm9yIHlvdXIgcmVzb3VyY2VzLiJ9.LPOHfT45JNOpTSh_q6x4pDRVK052QwUwSFU9tLPB6gGrYjf4dTKjWJ-2aRdd2LlWsxO5y0it89VsZpbzVRvI5Q' \--header 'Content-Type: application/json' \--data-raw '{ "filter": { "attributes": [ { "key": "my-special-filter", "level": "scope", "matcher": "=", "value": "user" } ] }}'Follow the steps in the Portal to create a Telemetry Router instance.
-
On the sidebar, click on Telemetry Router.
You see a list of all Telemetry Router instances.
-
Navigate to the instance you want to view and click on the entry.
You get into the detail view of your instance, where you have an overview over all properties.
-
To change the name or the description of your instance, click on Edit next to General information. Do the same for editing Attribute filters.
Delete an instance
Section titled “Delete an instance”To delete a Telemetry Router instance, you need to call the DELETE endpoint.
| Parameter | Meaning | Example |
|---|---|---|
| accessToken | The individual access token of your service account | eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImE1NTZmYWI0MWY2YzQ1MGY3ZDU5YzRmNGVkNWI0NmMxIn0.eyJub3RpY2UiOiJDb25ncmF0dWxhdGlvbnMhIFlvdSBoYXZlIGRlY29kZWQgYSBiZWFyZXIgdG9rZW4gbWVhbnQgZm9yIGRlbW9uc3RyYXRpb24gcHVycG9zZXMuIFdlIGF0IFNUQUNLSVQgZW1waGFzaXplIHNlY3VyaXR5IGFuZCBkYXRhIGludGVncml0eS4gUGxlYXNlIHVzZSB5b3VyIG93biBhY2Nlc3MgdG9rZW4gZm9yIHlvdXIgcmVzb3VyY2VzLiJ9.LPOHfT45JNOpTSh_q6x4pDRVK052QwUwSFU9tLPB6gGrYjf4dTKjWJ-2aRdd2LlWsxO5y0it89VsZpbzVRvI5Q |
| projectId | Your individual project ID | 16dbfb51-7a75-42d3-a51d-99f87f48cd32 |
| regionId | The region your Telemetry Router instance is located | eu01 |
| telemetryRouterId | The ID of your Telemetry Router instance | d5b5cdcc-c155-4d66-82ef-4289db8e4557 |
curl -X DELETE \'https://telemetry-router.api.stackit.cloud/v1beta/projects/[projectId]/regions/[regionId]/telemetry-routers/[telemetryRouterId]' \--header 'Authorization: Bearer [accessToken]' \--header 'Content-Type: application/json' \Example:
curl -X DELETE \'https://telemetry-router.api.stackit.cloud/v1beta/projects/16dbfb51-7a75-42d3-a51d-99f87f48cd32/regions/eu01/telemetry-routers/d5b5cdcc-c155-4d66-82ef-4289db8e4557' \--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJFUzI1NiIsImtpZCI6ImE1NTZmYWI0MWY2YzQ1MGY3ZDU5YzRmNGVkNWI0NmMxIn0.eyJub3RpY2UiOiJDb25ncmF0dWxhdGlvbnMhIFlvdSBoYXZlIGRlY29kZWQgYSBiZWFyZXIgdG9rZW4gbWVhbnQgZm9yIGRlbW9uc3RyYXRpb24gcHVycG9zZXMuIFdlIGF0IFNUQUNLSVQgZW1waGFzaXplIHNlY3VyaXR5IGFuZCBkYXRhIGludGVncml0eS4gUGxlYXNlIHVzZSB5b3VyIG93biBhY2Nlc3MgdG9rZW4gZm9yIHlvdXIgcmVzb3VyY2VzLiJ9.LPOHfT45JNOpTSh_q6x4pDRVK052QwUwSFU9tLPB6gGrYjf4dTKjWJ-2aRdd2LlWsxO5y0it89VsZpbzVRvI5Q' \--header 'Content-Type: application/json' \Follow the steps in the Portal to create a Telemetry Router instance.
-
On the sidebar, click on Telemetry Router.
You see a list of all Telemetry Router instances.
-
Navigate to the instance you want to delete and open the three-dots-menu of the entry.
-
On the menu click on Delete.
-
On the new pane, enter your instances name and click on delete.